/*Esta página css va dirigida únicamente al diseño responsive de la página en general*/

/*Portada-Layout*/

@media (width < 1200px) {
    .wrapper {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (width < 830px) {
    .logo {
        margin-left: 10px;
        margin-right: 10px;
    }

    .titulo-nav {
        margin-left: 10px;
    }

    .wrapper {
        grid-template-columns: repeat(1, 1fr);
    }

    .titulo-nav nav ul li {
        font-size: 30px;
    }

    aside {
        width: 40%;
    }
}

@media (width < 640px) {
    .container {
        flex-direction: column;
        width: auto;
    }

    aside {
        width: 87%;
        margin: 10px;
    }

    .wrapper {
        width: 87%;
        margin: 10px;
    }
}

@media (width < 615px) {
    header {
        align-items: center;
    }

    .titulo-nav h1 {
        font-size: 60px;
    }

    .logo {
        width: 100px;
        height: 100px;
    }

    aside {
        width: 85%;
    }

    .wrapper {
        width: 85%;
    }

    /*
    .titulo-nav nav {
        display: none;
    }*/

    header{
        display: flex;
        flex-direction:column;
        align-items: center;
        height:fit-content;
    }

    .titulo-nav h1{
        align-items: center;
        text-align: center;
    }

    .separador {
        display: none;
    }

    footer{
        font-size:30px;
        padding:10px;
    }
}

@media (width < 500px) {

    .container {
        width: 95%;
    }

    .titulo-nav h1 {
        margin-right: 15px;
    }

    body{
        padding:5px;
    }

}

@media (width < 360px){
    .container{
        width:90%;
    }
}

/* Actividad */

@media (width < 1415px) {
    .bonus {
        flex-direction: column;
    }
}

@media (width < 1200px) {
    .bonus {
        flex-direction: row;
    }

    .encabezado_actividad {
        grid-column: 1 / 4;
        grid-row: 1;
    }

    .img1 {
        grid-column: 1 / 3;
        grid-row: 2;
    }

    .img2 {
        grid-column: 3 / 4;
        grid-row: 2;
    }

    .p1 {
        grid-column: 1 / 4;
        grid-row: 3;
    }

    .bonus {
        grid-column: 1 / 4;
        grid-row: 4;
    }

    .botones {
        grid-column: 1 / 4;
        grid-row: 5;
    }
}

@media (width < 950px) {
    .aside_actividad {
        display: none;
    }

    .wrapper-actividad {
        width: 100%;
    }
}

@media (width < 640px) {
    .wrapper-actividad {
        width: 85%;
    }

    .img2 {
        display: none;
    }

    .img1 {
        grid-column: 1 / 4;
    }

}

@media (width < 540px) {

    .botones {
        font-size: 40px;
    }

    .botones a {
        margin-left: 23px;
        margin-right: 23px;
    }

    .bonus h2 {
        font-size: 25px;
        margin: 0 10px 0 5px;
    }
    
    .bonus span img {
        width: 100%;
        height: 50px;
    }
}

@media (width < 380px){
    .container .wrapper-actividad .bonus h2{
        display:none;
    }
    .botones {
        font-size: 30px;
    }
}